Package com.smartgwt.client.types

# Enum FooterControls

java.lang.Object
java.lang.Enum<FooterControls>
com.smartgwt.client.types.FooterControls

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<FooterControls>`, `Constable`

public enum FooterControls extends Enum<FooterControls> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `RESIZER`
  `SPACER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static FooterControls`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static FooterControls[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SPACER

    public static final FooterControls SPACER

  - ### RESIZER

    public static final FooterControls RESIZER

- ## Method Details

  - ### values

    public static FooterControls[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static FooterControls valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`